summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLukas18182020-12-02 23:03:22 +0100
committerLukas18182020-12-02 23:03:22 +0100
commite736d63b14f84ae61e88d00eb7749404eb4d6ccb (patch)
tree65d9caee4eb11ec02aa03118ab33c9c9da361d42
downloadaur-e736d63b14f84ae61e88d00eb7749404eb4d6ccb.tar.gz
init
-rw-r--r--.SRCINFO25
-rw-r--r--PKGBUILD46
-rwxr-xr-xSudden Strike 4.desktop8
-rw-r--r--start-sudden-strike-4.sh3
4 files changed, 82 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..55783ee5f79
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,25 @@
+pkgbase = gog-sudden-strike-4
+ pkgdesc = A historical real time strategy game. Commanding the Allied, German or Soviet troops.
+ pkgver = 1.15
+ pkgrel = 1
+ url = https://www.gog.com/game/we_are_the_dwarves
+ arch = x86_64
+ license = custom
+ makedepends = lgogdownloader
+ makedepends = findutils
+ makedepends = unzip
+ depends = gtk2
+ optdepends = gog-sudden-strike-4-the-pacific-war=1.15
+ optdepends = gog-sudden-strike-4-road-to-dunkirk=1.15
+ optdepends = gog-sudden-strike-4-africa-desert-war=1.15
+ optdepends = gog-sudden-strike-4-finland_winter_storm=1.15
+ optdepends = gog-sudden-strike-4-battle_of_kursk=1.15
+ source = sudden_strike_4_1_15.sh::gogdownloader://2146639313/en3installer0
+ source = Sudden Strike 4.desktop
+ source = start-sudden-strike-4.sh
+ sha512sums = bc918de3e38ab86ecd8f1630f6afc2ad76bdcd848bf33ae57b6170e50f8323cd880ee2d2f3450c730c48fe76389b745dd637e7690723c623370067a3e83b8d36
+ sha512sums = 0414b87ab350906a0401bbc4b3c425d6efa6e9685b2dbabf87b88217b74bf4c5e73d411846996f5368ea241e366ddb63a23ebaae2b030730ff7f71179db40100
+ sha512sums = a0250c930eef5dab2e7211dec395cc3c889b42728001b4976c32ee7f2d6902e25e1a0dd7d006897e3753d5b376c4c3ae109032c43bad77919d705bfd69be6223
+
+pkgname = gog-sudden-strike-4
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..0d989db0a27
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,46 @@
+# Maintainer: Lukas1818 aur at lukas1818 dot de
+
+pkgname=gog-sudden-strike-4
+pkgver=1.15
+_pkgtag=$pkgver
+pkgrel=1
+pkgdesc="A historical real time strategy game. Commanding the Allied, German or Soviet troops."
+arch=('x86_64')
+url="https://www.gog.com/game/we_are_the_dwarves"
+license=('custom')
+makedepends=('lgogdownloader' 'findutils' 'unzip')
+depends=('gtk2')
+optdepends=("gog-sudden-strike-4-the-pacific-war=$pkgver"
+ "gog-sudden-strike-4-road-to-dunkirk=$pkgver"
+ "gog-sudden-strike-4-africa-desert-war=$pkgver"
+ "gog-sudden-strike-4-finland_winter_storm=$pkgver"
+ "gog-sudden-strike-4-battle_of_kursk=$pkgver")
+source=("sudden_strike_4_${pkgver//./_}.sh::gogdownloader://2146639313/en3installer0"
+ "Sudden Strike 4.desktop"
+ "start-sudden-strike-4.sh")
+sha512sums=('bc918de3e38ab86ecd8f1630f6afc2ad76bdcd848bf33ae57b6170e50f8323cd880ee2d2f3450c730c48fe76389b745dd637e7690723c623370067a3e83b8d36'
+ '0414b87ab350906a0401bbc4b3c425d6efa6e9685b2dbabf87b88217b74bf4c5e73d411846996f5368ea241e366ddb63a23ebaae2b030730ff7f71179db40100'
+ 'a0250c930eef5dab2e7211dec395cc3c889b42728001b4976c32ee7f2d6902e25e1a0dd7d006897e3753d5b376c4c3ae109032c43bad77919d705bfd69be6223')
+
+#lgogdownloader exit with 141
+DLAGENTS+=('gogdownloader::/usr/bin/lgogdownloader --download-file=%u -o %o')
+
+prepare()
+{
+ test -d "${srcdir}/data" && rm -r "${srcdir}/data"
+ echo "unzip will create a warning, because a script is in front of the archive"
+ unzip -q -n -d "${srcdir}" "sudden_strike_4_${pkgver//./_}.sh" || test $? -eq 1
+}
+
+package()
+{
+ mkdir -p "${pkgdir}/opt/$pkgname"
+ mv "${srcdir}/data/noarch/game" -T "${pkgdir}/opt/$pkgname"
+ chmod -R 644 "${pkgdir}/opt/$pkgname/"
+ chmod 755 "${pkgdir}/opt/$pkgname/SuddenStrike4.x86_64"
+ find "${pkgdir}/opt/$pkgname" -type d -exec chmod 755 {} \;
+ install -Dm 755 "${srcdir}/start-sudden-strike-4.sh" "${pkgdir}/usr/bin/sudden-strike-4"
+ install -Dm 755 "${srcdir}/Sudden Strike 4.desktop" "$pkgdir/usr/share/applications/Sudden Strike 4.desktop"
+ install -Dm 644 "${srcdir}/data/noarch/support/icon.png" "${pkgdir}/usr/share/pixmaps/$pkgname.png"
+ install -Dm 644 "${srcdir}/data/noarch/docs/End User License Agreement.txt" "${pkgdir}/usr/share/licenses/$pkgname/LICENSE"
+}
diff --git a/Sudden Strike 4.desktop b/Sudden Strike 4.desktop
new file mode 100755
index 00000000000..01c30051f58
--- /dev/null
+++ b/Sudden Strike 4.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Sudden Strike 4
+Exec=sudden-strike-4
+Comment=A historical real time strategy game. Commanding the Allied, German or Soviet troops.
+Terminal=false
+Icon=/usr/share/pixmaps/gog-sudden-strike-4.png
+Type=Application
+Categories=Game;
diff --git a/start-sudden-strike-4.sh b/start-sudden-strike-4.sh
new file mode 100644
index 00000000000..416a01049e2
--- /dev/null
+++ b/start-sudden-strike-4.sh
@@ -0,0 +1,3 @@
+#!/bin/bash
+cd /opt/gog-sudden-strike-4
+/opt/gog-sudden-strike-4/SuddenStrike4.x86_64